package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.iot.domain.CrmCustomRemind;
import com.usky.iot.service.CrmCustomRemindService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 客户提醒信息表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
@RestController
@RequestMapping("/crmCustomRemind")
public class CrmCustomRemindController {

    @Autowired
    private CrmCustomRemindService crmCustomRemindService;

    /**
     * 发送
     * @param crmCustomRemind
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody CrmCustomRemind crmCustomRemind){
        crmCustomRemindService.add(crmCustomRemind);
        return ApiResult.success();
    }

}

